Name:           mitmproxy
Version:        6.0.2
Release:        1%{?dist}
Summary:        An interactive TLS-capable intercepting HTTP proxy

License:        MIT
URL:            https://mitmproxy.org
Source0:        https://github.com/mitmproxy/mitmproxy/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         0001-Remove-upper-bounds-on-dependencies.patch

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%{?python_enable_dependency_generator}

%description
The mitmproxy project’s tools are a set of front-ends that expose common underlying functionality.
 * mitmproxy is an interactive man-in-the-middle proxy for HTTP and HTTPS with a console interface.
 * mitmdump is the command-line version of mitmproxy. Think tcpdump for HTTP.
 * mitmweb is a web-based interface for mitmproxy.

Documentation, tutorials and distribution packages can be found on the mitmproxy website.

Features

 * Intercept HTTP & HTTPS requests and responses and modify them on the fly
 * Save complete HTTP conversations for later replay and analysis
 * Replay the client-side of an HTTP conversations
 * Replay HTTP responses of a previously recorded server
 * Reverse proxy mode to forward traffic to a specified server
 * Transparent proxy mode on OSX and Linux
 * Make scripted changes to HTTP traffic using Python
 * SSL/TLS certificates for interception are generated on the fly
 * And much, much more…


%prep
%autosetup -p1


%build
%py3_build


%install
rm -rf $RPM_BUILD_ROOT
%py3_install


%files
%license LICENSE
%doc CHANGELOG.rst README.rst 
%{_bindir}/mitmdump
%{_bindir}/mitmproxy
%{_bindir}/mitmweb
%{_bindir}/pathoc
%{_bindir}/pathod
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{name}
%{python3_sitelib}/pathod


%changelog
* Thu May 06 2021 Felix Kaechele <felix@kaechele.ca> - 6.0.2-1
- update to 6.0.2

* Sat Dec 12 2020 Felix Kaechele <felix@kaechele.ca> - 6.0.0-1
- update to 6.0.0

* Sun Jul 19 2020 Felix Kaechele <felix@kaechele.ca> - 5.2-1
- update to 5.2

* Sat Dec 21 2019 Felix Kaechele <felix@kaechele.ca> - 5.0.0-1
- update to 5.0.0

* Thu Dec 13 2018 Felix Kaechele <felix@kaechele.ca> - 4.0.4-1
- 4.0.4

